Subject: Re: What's cooking in git.git (May 2024, #02; Fri, 3)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 May 2024 08:15:09 +0200

On Mon, May 06, 2024 at 11:05:00PM -0700, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> >>> * ps/undecided-is-not-necessarily-sha1 (2024-04-30) 13 commits
> >>> ...
> >> Interesting, I couldn't reproduce this issue when rebasing the patches
> >> onto "seen". There were merge conflicts though, both with
> >> jc/no-default-attr-tree-in-bare and ps/the-index-is-no-more. So maybe
> >> there was a mismerge involved somewhere?
> >
> > That is very possible.
> 
> Yeah, I think I botched the merge.  Somehow my resolution had an
> unneeded "|| !is_null_oid()" in the result, but the right resolution
> of course should look like below.
> 
> Thanks.

Yeah, that resolution looks correct to me. I've also sent a v4 with
increased context and with the two conflicting topics pulles in as
dependency. Other than that it is the same to v3.

Patrick